clear;
z=[0:.01:1]';
Ps=5;
G=1;

kp=31.6;
kv=110;
R=50;
R1=100;
flin=z;
flik=R.^(z-1);
flik1=R1.^(z-1);
filin=flin./sqrt(1+(kv.*flin./kp).^2);
filik=flik./sqrt(1+(kv.*flik./kp).^2);
filik1=flik1./sqrt(1+(kv.*flik1./kp).^2);

kilin=(flin./sqrt(1+(kv.*flin/kp).^2))*sqrt(1+(kv/kp)^2);
kilik=(flik./sqrt(1+(kv.*flik/kp).^2))*sqrt(1+(kv/kp)^2);


figure(1)
subplot(1,1,1)
plot(z,kilin,z,kilik)
grid
%title('Installert ventilkarakteristikker fi(z).')
xlabel('Normalized Valve opening, z')
ylabel('Installed valve char.')
%disp('pause og saa tekstgenerering')
%pause
load xyko142;
%[xko,yko]=ginput;
%save xyko142 xko yko;

ind=1;
text(xko(ind),yko(ind),'1'),ind=ind+1;
text(xko(ind),yko(ind),'2'),ind=ind+1;
text(xko(ind),yko(ind),'1: Installed char. for linear valve'),ind=ind+1;
text(xko(ind),yko(ind),'2: Installed char. for eq. perc. valve with R=50'),ind=ind+1;
break

disp('pause og saa epsfil')
pause
print -deps eps142
